package com.fs.company.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.CompanyWorkflowNodeType;

import java.util.List;

/**
 * 工作流节点类型Mapper接口
 *
 * @author fs
 * @date 2026-01-06
 */
public interface CompanyWorkflowNodeTypeMapper extends BaseMapper<CompanyWorkflowNodeType> {

    CompanyWorkflowNodeType selectCompanyWorkflowNodeTypeById(Long typeId);

    CompanyWorkflowNodeType selectCompanyWorkflowNodeTypeByCode(String typeCode);

    List<CompanyWorkflowNodeType> selectCompanyWorkflowNodeTypeList(CompanyWorkflowNodeType nodeType);

    List<CompanyWorkflowNodeType> selectAllEnabledNodeTypes();
}
